Skip to content
Start here

Update TCP Flow Protection rule.

ddos_protection.advanced_tcp_protection.tcp_flow_protection.rules.items.edit(strrule_id, ItemEditParams**kwargs) -> ItemEditResponse
PATCH/accounts/{account_id}/magic/advanced_tcp_protection/configs/tcp_flow_protection/rules/{rule_id}

Update a TCP Flow Protection rule specified by the given UUID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
rule_id: str

UUID.

maxLength36
burst_sensitivity: Optional[str]

The new burst sensitivity. Optional. Must be one of ‘low’, ‘medium’, ‘high’.

mode: Optional[str]

The new mode for TCP Flow Protection. Optional. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

rate_sensitivity: Optional[str]

The new rate sensitivity. Optional. Must be one of ‘low’, ‘medium’, ‘high’.

ReturnsExpand Collapse
class ItemEditResponse:
id: str

The unique ID of the TCP Flow Protection rule.

burst_sensitivity: str

The burst sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

created_on: datetime

The creation timestamp of the TCP Flow Protection rule.

formatdate-time
mode: str

The mode for TCP Flow Protection. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

modified_on: datetime

The last modification timestamp of the TCP Flow Protection rule.

formatdate-time
name: str

The name of the TCP Flow Protection rule. Value is relative to the ‘scope’ setting. For ‘global’ scope, name should be ‘global’. For either the ‘region’ or ‘datacenter’ scope, name should be the actual name of the region or datacenter, e.g., ‘wnam’ or ‘lax’.

rate_sensitivity: str

The rate sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

scope: str

The scope for the TCP Flow Protection rule. Must be one of ‘global’, ‘region’, or ‘datacenter’.

Update TCP Flow Protection rule.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.ddos_protection.advanced_tcp_protection.tcp_flow_protection.rules.items.edit(
    rule_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "burst_sensitivity": "burst_sensitivity",
    "created_on": "2019-12-27T18:11:19.117Z",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "rate_sensitivity": "rate_sensitivity",
    "scope": "scope"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "burst_sensitivity": "burst_sensitivity",
    "created_on": "2019-12-27T18:11:19.117Z",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "rate_sensitivity": "rate_sensitivity",
    "scope": "scope"
  }
}